org.eclipse.emf.cdo.ui

## Class CDOItemProvider.EditorRegistryListener

- java.lang.Object
- - org.eclipse.emf.cdo.ui.CDOItemProvider.EditorRegistryListener

- All Implemented Interfaces:
    IPropertyListener
  Enclosing class:
    CDOItemProvider

      protected static class CDOItemProvider.EditorRegistryListener
      extends java.lang.Object
      implements IPropertyListener

  A `listener` on the platform's `editor registry` that fires `label events` from the associated `item provider` when `element` labels need to be updated.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditorRegistryListener(CDOItemProvider itemProvider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOItemProvider` | `getItemProvider()`
    `void` | `propertyChanged(java.lang.Object source, int propId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EditorRegistryListener

          public EditorRegistryListener(CDOItemProvider itemProvider)

  - ### Method Detail

    - #### getItemProvider

          public CDOItemProvider getItemProvider()

    - #### propertyChanged

          public void propertyChanged(java.lang.Object source,
                                      int propId)

      Specified by:
        `propertyChanged` in interface `IPropertyListener`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html